Security update for Dogs and Cats Online

To protect your privacy and access Dogs and Cats Online you'll need a current web browser and operating system.

From 6 September, users accessing Dogs and Cats Online with an unsupported browser or operating system will receive an error message explaining they’ll need to use a browser or operating system with higher security. This is because the central Dogs and Cats Online database is being upgraded with the latest security protocol.

After 6 September if your browser or operating system is weaker than TLS 1.2 you won’t be able to use Dogs and Cats Online. Therefore, please check they’re up-to-date so you can access it without any problems.

DACO Security Patch Browser Support

N.B. Internet Explorer (IE) 11 desktop application will end support for certain operating systems starting June 15, 2022. IE users are encouraged to move to Microsoft Edge with IE mode.